## palbart 2.4

=== Makefile ===
##*********************************************************************
#
# Makefile for the PDP/8 palbart assembler.
#
# System Name:      PAL Assembler
#
# Initial Author:   Gary Messenbrink
#
# Creation Date:    19Apr96
#
# Amendments Record:
#    Version  Date    by   Comments
#    ------- -------  ---  --------------------------------------------
#     v1.1  27Mar02  GAM  Added macro8x as a target.
#     v1.0  24Aug01  GAM  Updated to build palbart-2.4.c
#     v0.0  12Apr96  GAM  Original
#
#
# Synopsis:  Builds PAL cross-assember for generating PDP/8 executable
#            code.
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
#**********************************************************************

PROG1  = palbart
SRC1  = palbart-2.4.c
OBJ1  = palbart-2.4.o

PROG2  = macro8x
SRC2  = macro8x.c
OBJ2  = macro8x.o

PROGS  = $(PROG1) $(PROG2)
SRCS  = $(SRC1) $(SRC2)
OBJS  = $(OBJ1) $(OBJ2)

INCLDIRS = -I./
LDLIBS   = -lm

#----------------------------------------------------------------------

.SUFFIXES:
.SUFFIXES: .o .c .h .s .S
.S.s:
	$(CPP) -traditional $< -o $*.s
.c.s:
	$(CC) $(CFLAGS) -S $<
.s.o:
	$(AS) -o $*.o $<
.c.o:
	$(CC) $(CFLAGS) -ansi -c $<

#----------------------------------------------------------------------
#
# Flags
#
#CFLAGS  = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer $(INCLDIRS)
CFLAGS  = -g -Wall -Wstrict-prototypes $(INCLDIRS)
DEPENDFLAGS = -MM
INSTALLFLAGS = -s
LDFLAGS =

#----------------------------------------------------------------------
#
# Programs
#
AR        = ar
AS        = as
CC        = gcc
CCDEPEND  = $(CC)
CCLINK    = $(CC)
CXX       = g++
CXXLINK   = $(CXX)
CXXDEPEND = $(CXX)
CTAGS     = ctags -w
ECHO      = echo
INSTALL   = install
LD        = ld
MAKE      = make
MKBPMLIST = mkbpmlist
MKDIRHIER = mkdir -p
MV	  = mv -f
NM        = nm
RM        = rm -f
RMDIR     = rm -f -r
# pmbuild must be used with RedHat Linux >= 7.2
RPMBUILD  = rpmbuild
#RPMBUILD  = rpm
SHELL     = /bin/sh
STRIP     = strip

#----------------------------------------------------------------------
#
# Directories
#
TOP        = $(shell pwd)
PREFIX     = /usr/local
LIBDIR     = $(EXEC_PREFIX)/lib
BINDIR     = $(PREFIX)/bin
INCLUDEDIR = $(PREFIX)/include
INFODIR    = $(PREFIX)/info
MANDIR     = $(PREFIX)/man/man$(MANEXT)
MANEXT     = 1

#----------------------------------------------------------------------
#
# RPM directories
#
rpmtop        = $(TOP)/rpm
rpm_build     = $(rpmtop)/BUILD
rpm_rpms      = $(rpmtop)/RPMS/i386
rpm_sources   = $(rpmtop)/SOURCES
rpm_specs     = $(rpmtop)/SPECS
rpm_srpms     = $(rpmtop)/SRPMS
rpm_buildroot = $(rpmtop)/buildroot

RPMFLAGS = -v -bb --define "_topdir $(rpmtop)" --buildroot "$(rpm_buildroot)"

#----------------------------------------------------------------------

all:	$(PROGS)

$(PROG1):
	$(MAKE) -f $(TOP)/Makefile objects=$(OBJ1) program=$(PROG1) build1

$(PROG2):
	$(MAKE) -f $(TOP)/Makefile objects=$(OBJ2) program=$(PROG2) build1

build1: $(objects)
	$(RM) $(program)
	$(CCLINK) -o $(program) $(LDOPTIONS) $(objects) $(LDLIBS) $(EXTRA_LOAD_FLAGS)


install: install.$(PROG1) install.$(PROG2)

install.$(PROG1):
	$(MAKE) -f $(TOP)/Makefile program=$(PROG1) install_prog
	
install.$(PROG2):
	$(MAKE) -f $(TOP)/Makefile program=$(PROG2) install_prog
	
install_prog: $(program)
	@if [ -d $(BINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(BINDIR)); fi
	$(INSTALL) $(INSTALLFLAGS) $(program) $(BINDIR)
	

install.man: installman.$(PROG1) installman.$(PROG2)

installman.$(PROG1):
	$(MAKE) -f $(TOP)/Makefile manpage=$(PROG1).$(MANEXT) install_man

installman.$(PROG2):
	$(MAKE) -f $(TOP)/Makefile manpage=$(PROG2).$(MANEXT) install_man

install_man: $(manpage)
	$(INSTALL) $(MANDIR).$(MANEXT) $(manpage)
	

emptyrule::

clean::
	$(RM) *.o *.ln *.BAK *.bak *.CKP .emacs_*
	$(RM) core errs tags TAGS make.log MakeOut
	$(RM) ,* *~ "#"*

distclean:: clean
	$(RM) $(PROGS)
	$(RM) *.rpm

realclean:: distclean

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

#----------------------------------------------------------------------

rpms:	rpm.$(PROG1) rpm.$(PROG2)

rpm.$(PROG1):
	$(MAKE) -f $(TOP)/Makefile program=$(PROG1) specfile=$(PROG1).spec rpm_program

rpm.$(PROG2):
	$(MAKE) -f $(TOP)/Makefile program=$(PROG2) specfile=$(PROG2).spec rpm_program
	
rpm_program: $(specfile) $(program) rpm_dirs rpm_install
	$(RM) $(rpm_rpms)/$(program)*.rpm
	$(RPMBUILD) $(RPMFLAGS) $(specfile)
	$(MV) $(rpm_rpms)/$(program)*.rpm $(TOP)
	$(RMDIR) $(rpmtop)

rpm_dirs:
	@$(MKDIRHIER) $(rpm_build)
	@$(MKDIRHIER) $(rpm_rpms)
	@$(MKDIRHIER) $(rpm_sources)
	@$(MKDIRHIER) $(rpm_specs)
	@$(MKDIRHIER) $(rpm_srpms)
	@$(MKDIRHIER) $(rpm_build)
	
rpm_install: $(program)
	$(MKDIRHIER) $(rpm_buildroot)$(BINDIR)
	$(INSTALL) $(INSTALLFLAGS) $(program) $(rpm_buildroot)$(BINDIR)
	
#----------------------------------------------------------------------
		
depend::
	$(CCDEPEND) $(DEPENDFLAGS) $(INCLDIRS) $(SRCS) > .depend
		
#----------------------------------------------------------------------
#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## palbart 2.13

=== debian/changelog ===
palbart (2.13-2) unstable; urgency=medium

  * Point Vcs-* fields at repository on salsa.debian.org
  * Raise debhelper compat level to 11
  * Bump Standards-Version to 4.1.4
    - Priority extra is deprecated, change to optional

 -- Andreas Bombe <aeb@debian.org>  Fri, 15 Jun 2018 02:05:38 +0200

palbart (2.13-1) unstable; urgency=medium

  * New version 2.13 from a different upstream location
  * New maintainer
  * Update debian/copyright and switch to machine readable format
  * Switch source format to '3.0 (quilt)'
  * Add missing-prototype patch to fix a compiler warning
  * Move small manpage changes into patch manpage-fix
  * Move the Makefile modification to a quilt patch
  * Simplify Makefile by using implicit rules with the added benefit of
    honoring CFLAGS, LDFLAGS and so on
  * Remove useless watch file
  * Remove debian/substvars that appears to have no purpose
  * Increase debhelper compat level from 8 to 10
  * Increase Standards-Version to 4.0.0
  * Add DEB_BUILD_MAINT_OPTIONS to debian/rules with the usual hardening flags
  * Add get-orig-source script and target in debian/rules
  * Add Vcs fields to debian/control

 -- Andreas Bombe <aeb@debian.org>  Sun, 09 Jul 2017 18:51:47 +0200

palbart (2.4-7) unstable; urgency=low

  * Building on testing now; Standards upgrade from 3.9.1.0 to 3.9.2.0
  * Redoing debian/rules into the "tiny" version.
  * debian/compat from 7 to 8

 -- Vince Mulhollon <vlm@debian.org>  Mon, 01 Aug 2011 09:20:31 -0500

palbart (2.4-6) unstable; urgency=low

  * Standards version upgrade from 3.6.2.0 to 3.9.1.0
    fixes lintian ancient-standards-version
  * Modified the description removing the "An" to fix 
    lintian description-synopsis-starts-with-article 
  * Added misc:Depends to control file to fix
    lintian debhelper-but-no-misc-depends
  * Stop ignoring make clean errors by removing "-"
    fixes lintian debian-rules-ignores-make-clean-error
  * Set debhelper version in new compat file instead of rules 
    file.  Fixes lintian debian-rules-sets-DH_COMPAT
  * A first attempt at a debian/watch file
    Fixes lintian debian-watch-file-is-missing
  * Explicitly set source format 1.0 (for now) in debian/source/format
    This makes lintian happy, missing-debian-source-format goes away
    Eventually I'll switch to Quilt-3.0 format, just not today.
  * debhelper compat version upgraded from 4 to 7 which
    fixes lintian package-uses-depricated-debhelper-compat-version
  * Cleaned up the copyright file.  Nothing substantial has changed,
    other than adding the years and email addrs on the (C) line, and
    also added the upstream location as also seen in the watch file.
    Format inspired by Joerg Jaspert's email "How (not) to write 
    copyright files - take two" to the DDA list from 26 Mar 2006.
    This fixes lintian copyright-without-copyright-notice
  * Cleaned up rules file, removing unused debhelper calls for
    info files, example files, cron files.
  * Replaced call in rules for dh_clean -k with modern dh_prep
    fixes lintian dh-clean-k-is-deprecated
  * Added versioned Build-Depends in rules for debhelper (>= 7)
    because I'm now using vers 7 debhelper (see compat file)
    Fixes lintian package-lacks-versioned-build-depends-on-debhelper

 -- Vince Mulhollon <vlm@debian.org>  Thu, 07 Jul 2011 09:08:54 -0500

palbart (2.4-5) unstable; urgency=low

  * Standards version 3.6.2.0 
  * Change debhelper compat level from 1 to 4

 -- Vince Mulhollon <vlm@debian.org>  Fri, 16 Sep 2005 20:22:47 -0500

palbart (2.4-4) unstable; urgency=low

  * Change control file priority from optional to extra 
  * Convert from dh_installmanpages to dh_installman

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Oct 2004 19:41:01 -0500

palbart (2.4-3) unstable; urgency=low

  * Fix typo in control file
    (Closes: #277238)
  * Standards ver 3.6.1.0

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Oct 2004 19:16:49 -0500

palbart (2.4-2) unstable; urgency=low

  * Standards ver 3.5.8.0 
  * fixes postinst-should-not-set-usr-doc-link

 -- Vince Mulhollon <vlm@debian.org>  Tue, 17 Dec 2002 20:02:35 -0600

palbart (2.4-1) unstable; urgency=low

  * Upstream upgrade from 2.3 to 2.4
  * palbart upstream now includes source for macro8x
  * macro8x is included in simh... so I'll leave it out of palbart
    for this version, then remove it from simh, then add to palbart.

 -- Vince Mulhollon <vlm@debian.org>  Mon, 22 Apr 2002 16:45:32 -0500

palbart (2.3-3) unstable; urgency=low

  * Fix various typos (closes: Bug#125212)
  * Upgrades standards version from 3.5.2.0 to 3.5.6.0

 -- Vince Mulhollon <vlm@debian.org>  Wed, 19 Dec 2001 18:53:45 -0600

palbart (2.3-2) unstable; urgency=low

  * Upgrade standards version from 3.0.1 to 3.5.2.0

 -- Vince Mulhollon <vlm@debian.org>  Sun,  1 Apr 2001 10:16:12 -0500

palbart (2.3-1) unstable; urgency=low

  * Initial Release.

 -- Vince Mulhollon <vlm@execpc.com>  Sun, 16 Jan 2000 17:38:05 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: palbart
Section: otherosfs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11)
Vcs-Browser: https://salsa.debian.org/debian/palbart
Vcs-Git: https://salsa.debian.org/debian/palbart.git

Package: palbart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced version of the PAL PDP8 assembler
 PALBART is an enhanced version of the pdp8 PAL assembler.
 This is a PDP8 cross assembler.  It's useful for the users of SIMH or
 any other PDP8 emulator.
 .
 To quote that web page, "This enhancement was written by Gary 
 Messenbrink to support BART's fleet of PDP-8 systems."

## palbart 2.14

=== debian/changelog ===
palbart (2.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Bombe ]
  * New upstream version 2.14
  * Bump Standards-Version to 4.6.2, no changes needed
  * debian/copyright: Remove Makefile as that is generated by patch only
  * debian/control: Add Homepage field linking to the download page
  * debian/control: Add Rules-Requires-Root field

 -- Andreas Bombe <aeb@debian.org>  Wed, 06 Sep 2023 21:59:02 +0530

=== debian/control ===
Source: palbart
Section: otherosfs
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/palbart
Vcs-Git: https://salsa.debian.org/debian/palbart.git
Homepage: http://www.pdp8online.com/ftp/software/palbart/

Package: palbart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced version of the PAL PDP8 assembler
 PALBART is an enhanced version of the pdp8 PAL assembler.
 This is a PDP8 cross assembler.  It's useful for the users of SIMH or
 any other PDP8 emulator.
 .
 To quote that web page, "This enhancement was written by Gary
 Messenbrink to support BART's fleet of PDP-8 systems."

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

get-orig-source:
	debian/get-orig-source

.PHONY: get-orig-source
